<?php
/**
 * Zebrum Lite
 *
 * ЛИЦЕНЗИЯ
 *
 * Этот исходный файл является предметом лицензии, которая включена в данный
 * пакет в файле LICENSE.txt.
 * Она так же доступна через всемирную сеть Интернет по этому URL:
 * http://www.zebrum.ru/license.html
 *
 * @category   zebrum
 * @package    zengine
 * @copyright  Copyright (c) 2008 Zebrum.ru
 * @license    http://www.zebrum.ru/license.txt
 * @version    $Id: error.php 491 2008-11-11 14:13:37Z lks $
 */

/** zpage */
require_once 'zengine/classes/zpage.php';

/**
 * Класс страницы с ошибкой
 *
 * @package    zengine
 * @subpackage zpage
 * @copyright  Copyright (c) 2008 Zebrum.ru
 * @license    http://www.zebrum.ru/license.txt
 */
class zpage_error extends zpage {
    /**
     * Возвращает объект страницы "404 Not Found"
     *
     * @return zpage
     */
    static public function getNotFound () {
    	return new zpage_error();
    }

    /**
     * Закрытый конструктор
     */
    private function __construct () {
        $this->properties = array(
            'title' => '404 Not Found',
            'h1' => 'Not Found',
	    'breadcrumb' => 'Not Found',
	    'pagepath' => '/404',
            'body' => 'The requested URL ' . $_SERVER['REQUEST_URI'] . ' was not found on this server.',
            'template' => '404',
            'filter' => 'asis',
        );
    }

}
