<?php
/**
 * Zebrum Lite
 *
 * ЛИЦЕНЗИЯ
 *
 * Этот исходный файл является предметом лицензии, которая включена в данный
 * пакет в файле LICENSE.txt.
 * Она так же доступна через всемирную сеть Интернет по этому URL:
 * http://www.zebrum.ru/license.html
 *
 * @category   zebrum
 * @package    zengine
 * @copyright  Copyright (c) 2008 Zebrum.ru
 * @license    http://www.zebrum.ru/license.txt
 * @version    $Id: zsidebarmanager.php 497 2008-11-13 07:54:17Z lks $
 */


/**
 * Абстрактный класс для виджетов
 *
 * @package    zengine
 * @subpackage Widgets
 * @copyright  Copyright (c) 2008 Zebrum.ru
 * @license    http://www.zebrum.ru/license.txt
 */
final class zsidebarmanager
{
    /**
     * Регистрирует сайдбар в менеджере
     *
     * @param zsidebar $sidebar
     * @param string $id
     * @return string
     */
    public static function register (zsidebar $sidebar, $id = null) {
    	if (null === $id) {
    	    $id = self::$autoincrementSidebarId++;
    	}

    	self::$sidebars[$id] = $sidebar;
    	return $id;
    }

    /**
     * Выводит сайдбар с идентификатором <code>$id</code>. Если <code>$id</code>
     * не задан, то выводит все сайдбары, который были зарегистрированы.
     *
     * @param string $id
     */
    public static function displaySidebar ($id = null) {
    	if (null === $id) {
    	    foreach (self::$sidebars as $sidebar) {
    	        /* @var $sidebar zsidebar */
    	        $sidebar->display();
    	    }
    	} else {
    	    if (isset(self::$sidebars[$id])) {
    	        self::$sidebars[$id]->display();
    	    }
    	}
    }

    /**
     * Массив сайдбаров
     *
     * @var array
     */
    private static $sidebars = array();

    /**
     * Следующий идентификатор для добавляемого сайдбара
     *
     * @var int
     */
    private static $autoincrementSidebarId = 1;

    /**
     * Закрытый конструктор. Класс является статичным
     *
     */
    private function __construct ()
    { }
}
