<?php
/**
 * Zebrum Lite
 *
 * ЛИЦЕНЗИЯ
 *
 * Этот исходный файл является предметом лицензии, которая включена в данный
 * пакет в файле LICENSE.txt.
 * Она так же доступна через всемирную сеть Интернет по этому URL:
 * http://www.zebrum.ru/license.html
 *
 * @category   zebrum
 * @package    zengine
 * @copyright  Copyright (c) 2008 Zebrum.ru
 * @license    http://www.zebrum.ru/license.txt
 * @version    $Id: subpages.php 203 2008-08-30 13:08:54Z lks $
 */


/**
 * Выводит список дочерних страниц
 *
 * @package    zengine
 * @subpackage zhelper
 * @copyright  Copyright (c) 2008 Zebrum.ru
 * @license    http://www.zebrum.ru/license.txt
 */
class zhelper_subpages {
    /**
     * Выводит список дочерних страниц текущей отображаемой страницы
     *
     * @param string $orders Порядок сортировки
     */
	public function subpages ($orders = 'title asc', $open = '', $line = '<a href="#link">#title</a><p>#description</p>', $close = '') {
		$pages = $this->zpage->getChildren();
		if (!$pages) {
		    return;
		}

		$sorter = new zpagesorter($orders);
		$sorter->sort($pages);

		echo $open;
		foreach ($pages as $page) {
		    /* @var $page zpage */
		    $description = $page->getDescription();
            if (empty($description)) {
                $description = strip_tags(substr(ltrim($page->getBody(), " \n"), 0, strpos($page->getBody(), "\n")));
            } else {
                $description = $description;
            }
            $from = array('#link', '#title', '#description');
            $to = array($page->getLink(), $page->getTitle(), $description);
            echo str_replace($from, $to, $line);
    	}
    	echo $close;
	}
}
