<?php
/**
 * Zebrum Lite
 *
 * ЛИЦЕНЗИЯ
 *
 * Этот исходный файл является предметом лицензии, которая включена в данный
 * пакет в файле LICENSE.txt.
 * Она так же доступна через всемирную сеть Интернет по этому URL:
 * http://www.zebrum.ru/license.html
 *
 * @category   zebrum
 * @package    zengine
 * @copyright  Copyright (c) 2008 Zebrum.ru
 * @license    http://www.zebrum.ru/license.txt
 * @version    $Id: rewrite_rules.php 497 2008-11-13 07:54:17Z lks $
 */

/**
 * Экспериментальный функционал
 */

/**
 * Инициализация rewrite
 */
$router = zengine::getRouter();

/**
 * Все запросы, которые не были обработаны, будут обрабатываться как обычные
 * страницы
 */
$router->addRoute('page', new zroute(array('module' => 'zpage')));

/**
 * Настройка RSS-ленты по адресу /rss.xml
 */
$router->addRoute('rss', new zroute(array(
    'url' => '/rss.xml',
    'module' => 'zrss',
    'params' => array(
        'title' => zengine::config()->get('rss.title', 'Zebrum Lite'),
        'description' => zengine::config()->get('rss.description', 'Zebrum Lite'),
        'sections' => zengine::config()->get('rss.sections', ''),
        'order' => zengine::config()->get('rss.order', 'sort desc, publish desc, title desc'),
        'limit' => zengine::config()->get('rss.limit', 10)
    )
)));

/**
 * Настройка XML-карты сайта по адресу /sitemap.xml
 */
$router->addRoute('sitemapxml', new zroute(array(
    'url' => '/sitemap.xml',
    'module' => 'zsitemapxml'
)));

/**
 * Настройка страницы списка тэгов
 */
$router->addRoute('tags', new zroute(array(
    'pagepath' => '/tags',
    'module' => 'ztags',
    'params' => array(
        'title' => 'Список тэгов',
    )
)));

/**
 * Настройка страницы карты сайта
 */
$router->addRoute('sitemap', new zroute(array(
    'pagepath' => '/sitemap',
    'module' => 'zsitemap',
    'params' => array(
        'title' => 'Карта сайта',
    )
)));
